curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/tags \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<id>",
"object": "tag",
"data": {
"label": "Engineering",
"label_translations": null,
"label_translated": "Engineering",
"description": null,
"description_translations": null,
"description_translated": null,
"archived_at": null,
"is_deletable": true,
"integrations": {
"xero": {
"id": null
},
"quickbooks": {
"id": null
}
},
"tag_group": {
"id": "<id>",
"object": "tag_group",
"links": {
"self": "/tag_groups/<id>"
}
},
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/tags/<id>"
}
},
{
"id": "<id>",
"object": "tag",
"data": {
"label": "Engineering",
"label_translations": null,
"label_translated": "Engineering",
"description": null,
"description_translations": null,
"description_translated": null,
"archived_at": null,
"is_deletable": true,
"integrations": {
"xero": {
"id": null
},
"quickbooks": {
"id": null
}
},
"tag_group": {
"id": "<id>",
"object": "tag_group",
"links": {
"self": "/tag_groups/<id>"
}
},
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/tags/<id>"
}
},
{
"id": "<id>",
"object": "tag",
"data": {
"label": "Engineering",
"label_translations": null,
"label_translated": "Engineering",
"description": null,
"description_translations": null,
"description_translated": null,
"archived_at": null,
"is_deletable": true,
"integrations": {
"xero": {
"id": null
},
"quickbooks": {
"id": null
}
},
"tag_group": {
"id": "<id>",
"object": "tag_group",
"links": {
"self": "/tag_groups/<id>"
}
},
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/tags/<id>"
}
}
],
"links": {
"first": "/tags?business_entity_id=<id>&page=1",
"last": "/tags?business_entity_id=<id>&page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 15,
"total": 3,
"has_more": false
}
}List tags
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/tags \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<id>",
"object": "tag",
"data": {
"label": "Engineering",
"label_translations": null,
"label_translated": "Engineering",
"description": null,
"description_translations": null,
"description_translated": null,
"archived_at": null,
"is_deletable": true,
"integrations": {
"xero": {
"id": null
},
"quickbooks": {
"id": null
}
},
"tag_group": {
"id": "<id>",
"object": "tag_group",
"links": {
"self": "/tag_groups/<id>"
}
},
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/tags/<id>"
}
},
{
"id": "<id>",
"object": "tag",
"data": {
"label": "Engineering",
"label_translations": null,
"label_translated": "Engineering",
"description": null,
"description_translations": null,
"description_translated": null,
"archived_at": null,
"is_deletable": true,
"integrations": {
"xero": {
"id": null
},
"quickbooks": {
"id": null
}
},
"tag_group": {
"id": "<id>",
"object": "tag_group",
"links": {
"self": "/tag_groups/<id>"
}
},
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/tags/<id>"
}
},
{
"id": "<id>",
"object": "tag",
"data": {
"label": "Engineering",
"label_translations": null,
"label_translated": "Engineering",
"description": null,
"description_translations": null,
"description_translated": null,
"archived_at": null,
"is_deletable": true,
"integrations": {
"xero": {
"id": null
},
"quickbooks": {
"id": null
}
},
"tag_group": {
"id": "<id>",
"object": "tag_group",
"links": {
"self": "/tag_groups/<id>"
}
},
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/tags/<id>"
}
}
],
"links": {
"first": "/tags?business_entity_id=<id>&page=1",
"last": "/tags?business_entity_id=<id>&page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 15,
"total": 3,
"has_more": false
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Date filters support two formats:
Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: archived_at=2024-01-01
Use an array-like syntax to specify a range with one or more comparison operators:
gt(greater than)gte(greater than or equal to)lte(less than or equal to)lt(less than) Example:archived_at[gte]=2024-01-01&archived_at[lt]=2024-12-31
counts, tag_group Response
OK
The type of the object in Nmbr ("list").
Hide child attributes
Hide child attributes
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("tag").
- Default
- With tag_group expanded
- With counts expanded
Hide child attributes
Hide child attributes
255The translation of the label property for the request locale. Computed using the values in label and label_translations and the value of the request's Accept-Language header.
The translation of the description property for the request locale. Computed using the values in description and description_translations and the value of the request's Accept-Language header.
When set, the tag is archived and excluded from index listings by default.
A tag may not be deleted while it is assigned to any active allocation.
Identifiers for this tag in external accounting integrations, used to sync tags imported from those systems.
Hide child attributes
Hide child attributes
The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

